complexType "Cashflows"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | cashflowsMatchParameters?, principalExchange*, paymentCalculationPeriod*
</...>

Content Model Elements (3):

  cashflowsMatchParameters, paymentCalculationPeriod, principalExchange

All Direct / Indirect Based Elements (1):

  cashflows

Known Usage Locations

- As direct type of elements (1):
  cashflows

Annotation
A type defining the cashflow representation of a swap trade.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Cashflows"> <xsd:sequence> <xsd:element minOccurs="0" name="cashflowsMatchParameters" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="principalExchange" type="PrincipalExchange"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentCalculationPeriod" type="PaymentCalculationPeriod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
cashflowsMatchParameters

  Type: | xsd:boolean, predefined, simple content

  A true/false flag to indicate whether the cashflows match the parametric definition of the stream, i.e. whether the cashflows could be regenerated from the parameters without loss of information.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashflowsMatchParameters" type="xsd:boolean"/>

paymentCalculationPeriod

  Type: | PaymentCalculationPeriod, complex content

  The adjusted payment date and associated calculation period parameters required to calculate the actual or projected payment amount. A list of payment calculation period elements may be ordered in the document by ascending adjusted payment date. An FpML document containing an unordered list of payment calculation periods is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentCalculationPeriod" type="PaymentCalculationPeriod"/>

principalExchange

  Type: | PrincipalExchange, complex content

  The initial, intermediate and final principal exchange amounts. Typically required on cross currency interest rate swaps where actual exchanges of principal occur. A list of principal exchange elements may be ordered in the document by ascending adjusted principal exchange date. An FpML document containing an unordered principal exchange list is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="principalExchange" type="PrincipalExchange"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.